---
title: pydo.databases.get_kafka_schema_config()
description: Retrieve Schema Registry Configuration for a kafka Cluster
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/databases/get_kafka_schema_config/
last_updated: "2026-10-01"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.databases.get_kafka_schema_config()

Generated on 1 Oct 2026 from `pydo` version [`v0.43.0`](https://github.com/digitalocean/pydo/releases/tag/v0.43.0v0.43.0)

## Usage

```python
client.databases.get_kafka_schema_config(
    database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
)
```

Returns `JSON`Raises `HttpResponseError`

## Description

To retrieve the Schema Registry configuration for a Kafka cluster, send a GET request to [`/v2/databases/{database_cluster_uuid}/schema-registry/config`](https://docs.digitalocean.com/reference/api/reference/databases/index.html.md). The response is a JSON object with a `compatibility_level` key, which is set to an object containing any database configuration parameters.

## Parameters

`database_cluster_uuid` string required

A unique identifier for a database cluster.

## Response Example

## Show Response Example

```json
{
  "compatibility_level": "BACKWARD"
}
```

## More Information

See [`/v2/databases/{database_cluster_uuid}/schema-registry/config`](https://docs.digitalocean.com/reference/api/reference/databases/index.html.md#databases_get_kafka_schema_config) in the API reference for additional detail on responses, headers, parameters, and more.